using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.BaseData.Domain.Entities.OP
{
    [Description("计费规则子表")]
    public class T_OP_BILLING_RULE_VERSION : MesEntityBase
    {
        [Description("规则ID")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_Rule", "Nav_Versions")]
        public Guid RULE_ID { get; set; }

        [Description("尖电价")]
        [FormFieldTable]
        [FormFieldEdit]
        public decimal SHARP_CHARGE { get; set; }

        [Description("尖电服务费")]
        [FormFieldTable]
        [FormFieldEdit]
        public decimal SHARP_SERVICE_CHARGE { get; set; }

        [Description("峰电价")]
        [FormFieldTable]
        [FormFieldEdit]
        public decimal PEAK_CHARGE { get; set; }

        [Description("峰电服务费")]
        [FormFieldTable]
        [FormFieldEdit]
        public decimal PEAK_SERVICE_CHARGE { get; set; }

        [Description("平电价")]
        [FormFieldTable]
        [FormFieldEdit]
        public decimal FLAT_CHARGE { get; set; }

        [Description("平电服务费")]
        [FormFieldTable]
        [FormFieldEdit]
        public decimal FLAT_SERVICE_CHARGE { get; set; }

        [Description("谷电价")]
        [FormFieldTable]
        [FormFieldEdit]
        public decimal VALLEY_CHARGE { get; set; }

        [Description("谷电服务费")]
        [FormFieldTable]
        [FormFieldEdit]
        public decimal VALLEY_SERVICE_CHARGE { get; set; }

        [Description("版本号")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldLength(5)]
        public string VERSION { get; set; }

        [Description("导航属性：规则表")]
        public virtual T_OP_BILLING_RULE Nav_Rule { get; set; }
    }
}
